June 7th, 2008

Building my own SBCL on Debian 4.0

I usually build SBCL from source, but on a new installation, I need something from which to bootstrap. On Debian 4.0, that was trickier than I expected.

I think the official debian SBCL package, 0.9.16, is too old to build CVS. (I might be wrong; I didn't try it.)

The x86-64 binary of 1.0.17 on the download page was built with glibc 2.4, but Debian 4.0 includes glibc 2.3. The runtime failed to start as a result.

Fortunately, the SourceForge SBCL download page has older versions available. I grabbed 1.0.5, and it built 1.0.17.31 without a hitch.